/** @file
 * @author Edouard DUPIN
 * @copyright 2018, Edouard DUPIN, all right reserved
 * @license PROPRIETARY (see license file)
 */

import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
	selector: 'app-help',
	templateUrl: './help.html',
	styleUrls: [ './help.less' ]
})
export class HelpScene implements OnInit {
	page = '';

	constructor(private route: ActivatedRoute) { }

	ngOnInit() {
		const page = this.route.snapshot.paramMap.get('page');
		if (page == null) {
			this.page = undefined;
		} else {
			this.page = page;
		}
		console.error(`MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM`);
		console.error(`get parameter update: ${this.page}`);
		console.error(`MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM`);
	}

	onSelectType(_event: any, _idSelected: number):void {
		
	}
}
